RTEMS: bsps/powerpc/qoriq/start/bspstart.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions | Variables
bspstart.c File Reference
Board Support Packages » PowerPC » NXP QorIQ

BSP startup. More...

`#include <libfdt.h>`
`#include <rtems.h>`
`#include <rtems/config.h>`
`#include <rtems/counter.h>`
`#include <rtems/sysinit.h>`
`#include <libcpu/powerpc-utility.h>`
`#include <bsp.h>`
`#include <bsp/bootcard.h>`
`#include <bsp/console-termios.h>`
`#include <bsp/fatal.h>`
`#include <bsp/fdt.h>`
`#include <bsp/intercom.h>`
`#include <bsp/irq-generic.h>`
`#include <bsp/linker-symbols.h>`
`#include <bsp/mmu.h>`
`#include <bsp/qoriq.h>`
`#include <bsp/vectors.h>`

## Macros
#define | MTIVPR(base) __asm__ volatile ("mtivpr %0" : : "r" (base))
#define | VECTOR_TABLE_ENTRY_SIZE 16
#define | MTIVOR(vec, offset)

## Functions
| LINKER_SYMBOL (bsp_exc_vector_base)
uint32_t | _CPU_Counter_frequency (void)
| Returns the current CPU counter frequency in Hz.
void | qoriq_initialize_exceptions (void *interrupt_stack_begin)
void | bsp_start (void)
uint32_t | bsp_fdt_map_intr (const uint32_t *intr, size_t icells)
| Maps the interrupt number of the FDT to the interrupt vector used by the interrupt management.

## Variables
qoriq_start_spin_table * | qoriq_start_spin_table_addr [QORIQ_CPU_COUNT/QORIQ_THREAD_COUNT]
unsigned int | BSP_bus_frequency
uint32_t | bsp_time_base_frequency
uint32_t | qoriq_clock_frequency

## Detailed Description

BSP startup.

## Macro Definition Documentation

## ◆ MTIVOR

#define MTIVOR | ( |  | vec,
|  |  | offset
| ) |  |

Value:
do { \
__asm__ volatile ("mtspr " RTEMS_XSTRING(vec) ", %0" : : "r" (offset)); \
offset += VECTOR_TABLE_ENTRY_SIZE; \
} while (0)
RTEMS_XSTRING
#define RTEMS_XSTRING(_x)
Stringifies expansion of _x.
Definition: basedefs.h:549
vec
Definition: mongoose.c:437

## Function Documentation

## ◆ bsp_fdt_map_intr()

uint32_t bsp_fdt_map_intr | ( | const uint32_t * | intr,
|  | size_t | icells
| ) |  |

Maps the interrupt number of the FDT to the interrupt vector used by the interrupt management.

This function is used by the libbsd to implement the OFW_BUS_MAP_INTR bus method.

Parameters

  [in] | intr | The FDT interrupt number cells.
  [in] | icells | The FDT interrupt cell count.

Returns
  The interrupt vector of the FDT interrupt number.